﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title></title>
    <script type="text/javascript">
        $(document).ready(function () {

            var future1 = new Date();
            var future2 = new Date();

            $.datetimepicker.setLocale('en');
            $('#datetimepickerFrom').datetimepicker({
                formatTime: 'H:i',
                formatDate: 'Y-m-d',//'d.m.Y',
                timepickerScrollbar: false,
                defaultDate: new Date(future1.setDate(future1.getDate() - 28))
            }
            );
            $('#datetimepickerTo').datetimepicker({
                formatTime: 'H:i',
                formatDate: 'Y-m-d',//'d.m.Y',
                timepickerScrollbar: false,
                defaultDate: new Date(future2.setDate(future2.getDate() - 28))
            });
        });
    </script>
    <script>
        $("#menu-toggle").click(function (e) {
            e.preventDefault();
            $("#wrapper").toggleClass("toggled");
        });
    </script>
    <style>

        body {
            font-family: sans-serif;
            /*font: 13px sans-serif;*/
            /*font-family: "Arial", sans-serif;*/
        }

        .nav-tabs {
            border-bottom: none;
        }

            .nav-tabs a {
                padding: 0px 9px;
                color: #007bff !important;
                text-decoration: none;
                background-color: transparent;
            }

        a:hover {
            color: #0056b3 !important;
            text-decoration: underline !important;
        }

        .axis path,
        .axis line {
            fill: none;
            stroke: rgb(138,166,218); /*#000;*/
            shape-rendering: crispEdges;
        }

        .tick {
            font-size: 13px;
        }
    </style>
    <style>
        table {
            width: 100% !important;
            margin: 10px 339px 15px;
            font-size: 10px;
        }


        th {
            text-align: center;
        }

            th:hover {
                position: relative;
            }

            th[data-title]:hover:after {
                content: attr(data-title);
                padding: 4px 8px;
                position: absolute;
                left: 0;
                top: -118%;
                white-space: nowrap;
                z-index: 20px;
                color: white;
                background: black;
                border: 1px solid #333;
                border-radius: 5px;
            }

        .first-child {
            width: 39.3% !important;
        }

        .tableparent td:nth-child(1), .tableparent td:nth-child(2), .tableparent td:nth-child(3) {
            text-align: right;
        }

        #myTable tbody tr td:nth-child(1), #myTable tbody tr td:nth-child(2) {
            text-align: left;
        }

        #myTable tfoot tr td:first-child {
            border-right: 0px;
            text-align: left;
        }

        .rightNav2 li {
            /*display: inline;
            padding-right: 6px;*/
            padding-left: 32px;
            font-size: 15px;
            margin-top: 10px;
            text-align: left;
        }

        .rightNav2 {
            list-style: none;
            font-weight: normal;
            margin:0;
            padding:0;
            /*margin-left:180px;*/
        }



        a, a:hover {
            text-decoration: none !important;
            color: black !important;
        }

        img {
            display: inline-block;
            width: 30px;
            height: 30px;
            border-radius: 50%;
            background-repeat: no-repeat;
            background-position: center center;
            background-size: cover;
        }
    </style>
</head>
<body>

    <div>
        <h3>Insights – Usage – Team Proactivity</h3>
        <hr />
        <div id="wrapper" ng-controller="ProActController">
            <div id="sidebar-wrapper" class="card card-body" >
                <form class="form-horizontal" name="myForm" role="form" ng-controller="SearchController">
                    <div class="sidebar-header">
                        <h4 style="color:#1F4E79;">Filters:</h4>
                    </div>
                    <div class="form-group">
                        <label for="inputName3" class="col-sm-4 control-label">User name</label>
                        <div class="col-sm-8 input">
                            <input class="form-control" id="inputName3" ng-model="formInfo.Username">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-4 control-label">Manager</label>
                        <div class="col-sm-8 input">
                            <input class="form-control" id="inputEmail3" value="me" ng-model="formInfo.Manager">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputPassword3" class="col-sm-4 control-label">Department</label>
                        <div class="col-sm-8 input">
                            <select ng-options="d for d in deplist" class="form-control" ng-model="formInfo.Dept">
                                <option value="">-- Select --</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputPassword3" class="col-sm-4 control-label">Role</label>
                        <div class="col-sm-8 input">
                            <select ng-options="r for r in rollist" class="form-control" ng-model="formInfo.Role">
                                <option value="">-- Select --</option>
                            </select>
                            <!--<p>Selected Book: <b>{{ selected }}</b></p>-->
                        </div>
                    </div>
                    <div class="form-group">

                        <label for="inputPassword3" class="col-sm-4 control-label">Aspiration</label>
                        <div class="col-sm-8 input">
                            <select ng-options="r for r in rollist" class="form-control" ng-model="formInfo.Aspr">
                                <option value="">-- Select --</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputPassword3" class="col-sm-4 control-label">Location</label>
                        <div class="col-sm-8 input">
                            <select ng-options="l for l in loclist" class="form-control" ng-model="formInfo.Loc">
                                <option value="">-- Select --</option>
                            </select>
                        </div>
                    </div>
                    <!--<input type="text" value="Y-m-d H:i:s" id="datetimepicker_format_value" />-->
                    <div class="form-group">
                        <label for="inputPassword3" class="col-sm-4 control-label">Date From</label>
                        <div class="col-sm-8 input">
                            <input id="datetimepickerFrom" class="form-control" autocomplete="off" type="text" ng-model="formInfo.frmDate" />
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputPassword3" class="col-sm-4 control-label">Date To</label>
                        <div class="col-sm-8 input">
                            <input id="datetimepickerTo" class="form-control" autocomplete="off" type="text" ng-model="formInfo.toDate" />
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="btn-toolbar">
                            <button id="btnclear" type="reset" class="btn col-lg-3" ng-click="resetForm()">Clear</button>
                            <button id="btnapply" type="submit" class="btn col-lg-3" ng-click="saveData()">Apply</button>
                        </div>
                    </div>
                    <!--<span>{{formInfo}}</span>-->
                </form>
            </div>
            <div id="page-content-wrapper">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-8"></div>
                        <div class="form-group">
                            <div class="nav nav-tabs" style="text-decoration:none">
                                <a data-toggle="tab" href="#home" id="charttab">Chart</a> |
                                <a data-toggle="tab" href="#menu" id="tabletab">Table</a>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <select name="Group By" class="form-control grpddl">
                                <option value="0">Group By</option>
                                <option value="1">Manager</option>
                                <option value="2">Department</option>
                                <option value="3">Location</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <button href="#menu-toggle" type="button" style="margin:0px;" id="menu-toggle" class="navbar-btn active">
                                <span></span>
                                <span></span>
                                <span></span>
                            </button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <nav class="" role="navigation">
                                <center>
                                    <div class="tab-content" ng-controller="ProActController">
                                        <div id="home" class="tab-pane fade in ">
                                            <div id="proActsvg" >
                                                <div id="legend" class="pull-right" style="font-weight:bold;text-align:center;">
                                                    Not Started
                                                    <ul class="rightNav2">
                                                        <li id="homeLnk" ng-repeat="name in notstarted"><img src="{{name.Url}}" /><a href="#">{{name.Name}}</a></li>
                                                    </ul>
                                                </div>
                                            </div>

                                        </div>
                                        <div id="menu" class="tab-pane fade show active">
                                            <table class="tableparent tablesorter" border="1"></table>
                                            <div id="ActTbl" style="width:100%">

                                                <input id="btnSubmit" type="submit" value="Load More..." />
                                                <input id="btnAll" type="submit" value="Load All..." />
                                                <input id="btnLess" type="submit" value="Load Less..." style="display:none" />
                                            </div>
                                        </div>
                                    </div>
                                </center>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
</body>
</html>